​
Select Service
ves-io-schema-cloud_credentials-API-List
Published April 5, 2023 | Last modified June 17, 2026
Examples of listing cloud_credentials
Usecase:
List cloud_credentials objects from system namespace
Request using vesctl:
vesctl configuration list cloud_credentials --namespace system
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: aws-cloud-credentials namespace: system statusSet: [] tenant: acmecorp uid: bb2ccab3-79c7-4a3a-a8bf-b60e352c73c4Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/cloud_credentialss'curl response
HTTP/1.1 200 OKContent-Length: 444Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:15 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "system", "name": "aws-cloud-credentials", "uid": "bb2ccab3-79c7-4a3a-a8bf-b60e352c73c4", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}